# Hex

This is a problem similar to a board game called Hex,
which was invented independently by Piet Hein and John Nash.

Problem description cribbed from [Google Code Jam](https://codejam.withgoogle.com/codejam/contest/2929486/dashboard#s=p2).

The game is played on an N x N board, with each partition of the board
consisting of a hexagon shape. The board starts empty, 
and players place a piece, one turn at a time, onto the board.

It's a 6x6 grid, with diagonal cross-connections.

Example game of Blue winning:

```
	O O O O O O 
	O O 6 O O O
	1 3 5 7 9 11
	0 0 2 0 10 0 
	0 0 4 8 0 0 
	0 0 0 0 0 0 
```

Input:
* The first line of input gives the number of test cases, T. T test cases follow. (That means, don't implement a lot of exception handling nonsense.
	Make assumptions, and get something going.
* Each test case start with the size of the side of the board, N. 
* This is followed by a board of N rows and N columns consisting of only 'B', 'R' and '.' characters. 
* 'B' indicates a cell occupied by blue stone, 'R' indicates a cell occupied by red stone, and '.' indicates an empty cell.

Output:
* Case x: y
* "Impossible", "Blue wins", "Red wins" or "Nobody wins"

Limits

Small dataset: 1 ≤ T ≤ 100.

1 ≤ N ≤ 10.
Large dataset

1 ≤ N ≤ 100.

Example:

```
	7
	1
	.
	1
	B
	1
	R
	2
	BR
	BB
	4
	BBBB
	BBB.
	RRR.
	RRRR
	4
	BBBB
	BBBB
	RRR.
	RRRR
	6
	......
	..R...
	BBBBBB
	..R.R.
	..RR..
	......




	Case #1: Nobody wins
	Case #2: Blue wins
	Case #3: Red wins
	Case #4: Impossible
	Case #5: Blue wins
	Case #6: Impossible
	Case #7: Blue wins
```





















